/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Painted Caves\Grobu's Quest\Quest Items\GrobusFur.cs
Lines of code: 28
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class GrobusFur : Item
	{
		[Constructable]
		public GrobusFur() : base( 0x11F4 )
		{
			Name = "Grobu's Fur";
			Hue = 1175;
			Weight = 5.0;
		}

		public GrobusFur( Serial serial ) : base( serial )
		{
		}
		
		/*#region OnDropped > Delete()
        public override bool OnDroppedToMobile( Mobile from, Mobile target )
        {
            if( from == target )
                return base.OnDroppedToMobile( from, target );

            Delete();
            return false;
        }

        public override bool OnDroppedInto( Mobile from, Container target, Point3D p )
        {
            if( target == from.Backpack )
                return base.OnDroppedInto( from, target, p );

            Delete();
            return false;
        }

        public override bool OnDroppedOnto( Mobile from, Item target )
        {
            if( target == from.Backpack )
                return base.OnDroppedOnto( from, target );

            Delete();
            return false;
        }

        public override bool OnDroppedToWorld( Mobile from, Point3D p )
        {
            Delete();
            return false;
        }
        #endregion*/

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}